Skip to main content
GET
List payment rules

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-09-15"

Query Parameters

account_id
string

Only return rules belonging to this account. Defaults to the account the request is acting for.

status
enum<string>

Only return rules with this status.

Available options:
active,
inactive,
deleted
action
enum<string>

Only return rules that take this action.

Available options:
allow,
block,
enforce_3ds
order
enum<string>

The field to sort by.

Available options:
created_at
direction
enum<string>

The sort direction.

Available options:
asc,
desc
first
integer
default:20

Number of results to return from the start of the range.

Required range: x <= 100
after
string

Return results after this cursor. Use page_info.end_cursor from the previous response to fetch the next page.

last
integer

Number of results to return from the end of the range.

Required range: x <= 100
before
string

Return results before this cursor. Use page_info.start_cursor from the previous response to fetch the previous page.

Response

A list of payment rules

data
object[]
required
page_info
object
required